DEV: Add Handlebars support to Ember CLI in discourse-common

DEV: Add Handlebars support to Ember CLI in discourse-common

diff --git a/app/assets/javascripts/discourse-common/index.js b/app/assets/javascripts/discourse-common/index.js
index e8db57f..7ad7fe9 100644
--- a/app/assets/javascripts/discourse-common/index.js
+++ b/app/assets/javascripts/discourse-common/index.js
@@ -1,5 +1,12 @@
 "use strict";
 
 module.exports = {
-  name: require("./package").name
+  name: require("./package").name,
+  options: {
+    autoImport: {
+      alias: {
+        handlebars: "handlebars/dist/cjs/handlebars.js"
+      }
+    }
+  }
 };
diff --git a/app/assets/javascripts/discourse-common/package.json b/app/assets/javascripts/discourse-common/package.json
index f56ec8c..bdd317e 100644
--- a/app/assets/javascripts/discourse-common/package.json
+++ b/app/assets/javascripts/discourse-common/package.json
@@ -18,14 +18,15 @@
   },
   "dependencies": {
     "ember-cli-babel": "^7.13.0",
-    "ember-cli-htmlbars": "^4.2.0"
+    "ember-cli-htmlbars": "^4.2.0",
+    "ember-auto-import": "^1.5.3",
+    "handlebars": "^4.7.0"
   },
   "devDependencies": {
     "@ember/optional-features": "^1.1.0",
     "@glimmer/component": "^1.0.0",
     "babel-eslint": "^10.0.3",
     "broccoli-asset-rev": "^3.0.0",
-    "ember-auto-import": "^1.5.3",
     "ember-cli": "~3.15.2",
     "ember-cli-dependency-checker": "^3.2.0",
     "ember-cli-eslint": "^5.1.0",

GitHub sha: f697133b